> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.getunleash.io/api/get-project-overview/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.getunleash.io/_mcp/server. # Get an overview of a project. GET https://app.unleash-instance.example.com/api/admin/projects/{projectId}/overview This endpoint returns an overview of the specified projects stats, project health, number of members, which environments are configured, and the features types in the project. Reference: https://docs.getunleash.io/api/get-project-overview ## Authentication - `Authorization` header (required) — API key needed to access this API - `Authorization` header (bearer token, required) — API key needed to access this API, in Bearer token format ## Request ### Path parameters - `projectId` (string, required) ## Response ### 200 projectOverviewSchema - `version` (integer, required) — The schema version used to describe the project overview - `name` (string, required) — The name of this project - `onboardingStatus` (onboardingStatusSchema, required) — The current onboarding status of a project. - `stats` (projectStatsSchema, optional) — Project statistics - `description` (string, optional, nullable) — Additional information about the project - `defaultStickiness` (string, optional) — A default stickiness for the project affecting the default stickiness value for variants and Gradual Rollout strategy - `mode` (enum, optional) — The project's [collaboration mode](https://docs.getunleash.io/concepts/project-collaboration-mode). Determines whether non-project members can submit change requests or not. - Allowed values: `open`, `protected`, `private` - `featureLimit` (double, optional, nullable) — A limit on the number of features allowed in the project. Null if no limit. - `featureNaming` (createFeatureNamingPatternSchema, optional) — Create a feature naming pattern - `linkTemplates` (list of projectLinkTemplateSchema, optional) — A list of templates for links that will be automatically added to new feature flags. - `members` (double, optional) — The number of members this project has - `technicalDebt` (double, optional) — An indicator of the [project's technical debt](https://docs.getunleash.io/concepts/technical-debt#project-status) on a scale from 0 to 100 - `environments` (list of projectEnvironmentSchema, optional) — The environments that are enabled for this project - `featureTypeCounts` (list of featureTypeCountSchema, optional) — The number of features of each type that are in this project - `updatedAt` (string, optional, nullable) — When the project was last updated. - `archivedAt` (string, optional, nullable) — When the project was archived. - `createdAt` (string, optional, nullable) — When the project was created. - `favorite` (boolean, optional) — `true` if the project was favorited, otherwise `false`. - `health` (double, optional, deprecated) — Use `technicalDebt` instead. ## Errors ### 401 Unauthorized Error Authorization information is missing or invalid. Provide a valid API token as the `authorization` header, e.g. `authorization:*.*.my-admin-token`. - `id` (string, optional) — The ID of the error instance - `name` (string, optional) — The name of the error kind - `message` (string, optional) — A description of what went wrong. ### 403 Forbidden Error The provided user credentials are valid, but the user does not have the necessary permissions to perform this operation - `id` (string, optional) — The ID of the error instance - `name` (string, optional) — The name of the error kind - `message` (string, optional) — A description of what went wrong. ### 404 Not Found Error The requested resource was not found. - `id` (string, optional) — The ID of the error instance - `name` (string, optional) — The name of the error kind - `message` (string, optional) — A description of what went wrong. ## Types ### onboardingStatusSchema The current onboarding status of a project. ### projectStatsSchema Statistics for a project, including the average time to production, number of features created, the project activity and more. Stats are divided into current and previous **windows**. - The **current window** is the past 30 days. - The **previous window** is the 30 days **before** the current window (from 60 to 30 days ago) - `avgTimeToProdCurrentWindow` (double, required) — The average time from when a feature was created to when it was enabled in the "production" environment during the current window - `createdCurrentWindow` (double, required) — The number of feature flags created during the current window - `createdPastWindow` (double, required) — The number of feature flags created during the previous window - `archivedCurrentWindow` (double, required) — The number of feature flags that were archived during the current window - `archivedPastWindow` (double, required) — The number of feature flags that were archived during the previous window - `projectActivityCurrentWindow` (double, required) — The number of project events that occurred during the current window - `projectActivityPastWindow` (double, required) — The number of project events that occurred during the previous window - `projectMembersAddedCurrentWindow` (double, required) — The number of members that were added to the project during the current window ### createFeatureNamingPatternSchema Create a feature naming pattern - `pattern` (string, required, nullable) — A JavaScript regular expression pattern, without the start and end delimiters. Optional flags are not allowed. - `example` (string, optional, nullable) — An example of a feature name that matches the pattern. Must itself match the pattern supplied. - `description` (string, optional, nullable) — A description of the pattern in a human-readable format. Will be shown to users when they create a new feature flag. ### projectLinkTemplateSchema A template for a link that can be automatically added to new feature flags. - `urlTemplate` (string, required) — The URL to use as a template. Can contain \{\{project}} or \{\{feature}} as placeholders. - `title` (string, optional, nullable) — The title of the link. ### projectEnvironmentSchema Add an environment to a project, optionally also sets if change requests are enabled for this environment on the project - `environment` (string, required) — The environment to add to the project - `changeRequestsEnabled` (boolean, optional) — Whether change requests should be enabled or for this environment on the project or not - `defaultStrategy` (createFeatureStrategySchema, optional) — A default strategy to create for this environment on the project. ### featureTypeCountSchema A count of feature flags of a specific type - `type` (string, required) — Type of the flag e.g. experiment, kill-switch, release, operational, permission - `count` (double, required) — Number of feature flags of this type ### OnboardingStatusSchema0 - `status` (enum, required) - Allowed values: `onboarding-started`, `sdk-connected`, `onboarded` ### OnboardingStatusSchema1 - `status` (enum, required) - Allowed values: `first-flag-created` - `feature` (string, required) — The name of the feature flag ### createFeatureStrategySchema Create a strategy configuration in a feature - `name` (string, required) — The name of the strategy type - `title` (string, optional, nullable) — A descriptive title for the strategy - `disabled` (boolean, optional, nullable) — A toggle to disable the strategy. defaults to false. Disabled strategies are not evaluated or returned to the SDKs - `sortOrder` (double, optional) — The order of the strategy in the list - `constraints` (list of constraintSchema, optional) — A list of the constraints attached to the strategy. See https://docs.getunleash.io/concepts/activation-strategies#constraints - `variants` (list of createStrategyVariantSchema, optional) — Strategy level variants - `parameters` (map from string to string, optional) — An object containing the parameters for the strategy - `segments` (list of double, optional) — Ids of segments to use for this strategy ### constraintSchema A strategy constraint. For more information, refer to [the strategy constraint reference documentation](https://docs.getunleash.io/concepts/activation-strategies#constraints) - `contextName` (string, required) — The name of the context field that this constraint should apply to. - `operator` (enum, required) — The operator to use when evaluating this constraint. For more information about the various operators, refer to [the strategy constraint operator documentation](https://docs.getunleash.io/concepts/activation-strategies#constraint-operators). - Allowed values: `NOT_IN`, `IN`, `STR_ENDS_WITH`, `STR_STARTS_WITH`, `STR_CONTAINS`, `NUM_EQ`, `NUM_GT`, `NUM_GTE`, `NUM_LT`, `NUM_LTE`, `DATE_AFTER`, `DATE_BEFORE`, `SEMVER_EQ`, `SEMVER_GT`, `SEMVER_LT`, `SEMVER_GTE`, `SEMVER_LTE`, `REGEX` - `caseInsensitive` (boolean, optional, default: false) — Whether the operator should be case sensitive or not. Defaults to `false` (being case sensitive). - `inverted` (boolean, optional, default: false) — Whether the result should be negated or not. If `true`, will turn a `true` result into a `false` result and vice versa. - `values` (list of string, optional) — The context values that should be used for constraint evaluation. Use this property instead of `value` for properties that accept multiple values. - `value` (string, optional) — The context value that should be used for constraint evaluation. Use this property instead of `values` for properties that only accept single values. ### createStrategyVariantSchema This is an experimental property. It may change or be removed as we work on it. Please don't depend on it yet. A strategy variant allows you to attach any data to strategies instead of only returning `true`/`false`. Strategy variants take precedence over feature variants. - `name` (string, required) — The variant name. Must be unique for this feature flag - `weight` (integer, required) — The weight is the likelihood of any one user getting this variant. It is an integer between 0 and 1000. See the section on [variant weights](https://docs.getunleash.io/concepts/feature-flag-variants#variant-weight) for more information - `weightType` (enum, required) — Set to `fix` if this variant must have exactly the weight allocated to it. If the type is `variable`, the weight will adjust so that the total weight of all variants adds up to 1000. Refer to the [variant weight documentation](https://docs.getunleash.io/concepts/feature-flag-variants#variant-weight). - Allowed values: `variable`, `fix` - `stickiness` (string, required) — The [stickiness](https://docs.getunleash.io/concepts/feature-flag-variants#variant-stickiness) to use for distribution of this variant. Stickiness is how Unleash guarantees that the same user gets the same variant every time - `payload` (CreateStrategyVariantSchemaPayload, optional) — Extra data configured for this variant ### CreateStrategyVariantSchemaPayload Extra data configured for this variant - `type` (enum, required) — The type of the value. Commonly used types are string, number, json and csv. - Allowed values: `json`, `csv`, `string`, `number` - `value` (string, required) — The actual value of payload ## Examples **Response** ```json { "version": 1, "name": "dx-squad", "onboardingStatus": { "feature": "my-feature-flag", "status": "first-flag-created" }, "stats": { "avgTimeToProdCurrentWindow": 10, "createdCurrentWindow": 15, "createdPastWindow": 15, "archivedCurrentWindow": 5, "archivedPastWindow": 5, "projectActivityCurrentWindow": 100, "projectActivityPastWindow": 100, "projectMembersAddedCurrentWindow": 1 }, "description": "DX squad feature release", "defaultStickiness": "userId", "mode": "open", "featureLimit": 100, "featureNaming": { "pattern": "^[A-Za-z]+\\.[A-Za-z]+\\.[A-Za-z0-9-]+$", "example": "dx.feature.1-135", "description": "..\n\nThe flag name should contain the project name, the feature name, and the ticket number, each separated by a dot." }, "linkTemplates": [ { "urlTemplate": "https://github.com/search?type=code&q=repo%3AUnleash%2F{{project}}+{{feature}}", "title": "Code search" } ], "members": 4, "technicalDebt": 25, "environments": [ { "environment": "development" }, { "environment": "production", "defaultStrategy": { "name": "flexibleRollout", "constraints": [], "parameters": { "groupId": "stickyFlag", "rollout": "50", "stickiness": "customAppName" } } } ], "featureTypeCounts": [ { "type": "kill-switch", "count": 1 } ], "updatedAt": "2023-02-10T08:36:35.262Z", "archivedAt": "2023-02-10T08:36:35.262Z", "createdAt": "2023-02-10T08:36:35.262Z", "favorite": true, "health": 50 } ``` **SDK Code** ```python import requests url = "https://app.unleash-instance.example.com/api/admin/projects/projectId/overview" headers = {"Authorization": ""} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://app.unleash-instance.example.com/api/admin/projects/projectId/overview'; const options = {method: 'GET', headers: {Authorization: ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://app.unleash-instance.example.com/api/admin/projects/projectId/overview" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://app.unleash-instance.example.com/api/admin/projects/projectId/overview") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = '' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://app.unleash-instance.example.com/api/admin/projects/projectId/overview") .header("Authorization", "") .asString(); ``` ```php request('GET', 'https://app.unleash-instance.example.com/api/admin/projects/projectId/overview', [ 'headers' => [ 'Authorization' => '', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://app.unleash-instance.example.com/api/admin/projects/projectId/overview"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", ""); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": ""] let request = NSMutableURLRequest(url: NSURL(string: "https://app.unleash-instance.example.com/api/admin/projects/projectId/overview")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```